Skip to content
Start here

Purge Cached Content by Environment

POST/zones/{zone_id}/environments/{environment_id}/purge_cache

Purge cached content scoped to a specific environment. Supports the same purge types as the zone-level endpoint (purge everything, by URL, by tag, host, or prefix).

Availability and limits

Please refer to purge cache availability and limits documentation page.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cache Purge
Path ParametersExpand Collapse
zone_id: string
maxLength32
environment_id: string
maxLength32
Body ParametersJSONExpand Collapse
body: object { tags } or object { hosts } or object { prefixes } or 3 more
One of the following:
CachePurgeFlexPurgeByTags object { tags }
tags: optional array of string

For more information on cache tags and purging by tags, please refer to purge by cache-tags documentation page.

CachePurgeFlexPurgeByHostnames object { hosts }
hosts: optional array of string

For more information purging by hostnames, please refer to purge by hostname documentation page.

CachePurgeFlexPurgeByPrefixes object { prefixes }
prefixes: optional array of string

For more information on purging by prefixes, please refer to purge by prefix documentation page.

CachePurgeEverything object { purge_everything }
purge_everything: optional boolean

For more information, please refer to purge everything documentation page.

CachePurgeSingleFile object { files }
files: optional array of string

For more information on purging files, please refer to purge by single-file documentation page.

CachePurgeSingleFileWithURLAndHeaders object { files }
files: optional array of object { headers, url }

For more information on purging files with URL and headers, please refer to purge by single-file documentation page.

headers: optional map[string]
url: optional string
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: boolean

Indicates the API call’s success or failure.

result: optional object { id }
id: string
maxLength32

Purge Cached Content by Environment

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/environments/$ENVIRONMENT_ID/purge_cache \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "tags": [
            "a-cache-tag",
            "another-cache-tag"
          ]
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}